<?php

	/*
		Plugin Name: WP LiveRevealr
		Description: Create Interactive Slide Reveal Images Lead Capture Landing Pages
		Version: 1.0
	*/

	add_action('template_redirect', 'checkifwpliverevealr_x', 5);
	function checkifwpliverevealr_x() {
	
		$post_type = get_query_var('post_type');
		if ($post_type == 'wpliverevealr') {  
	
			if (file_exists(TEMPLATEPATH . '/single-' . $post_type . '.php')) return;
				load_template(WP_PLUGIN_DIR . '/LiveRevealr/livereveal/index.php');
			exit;
			
		}
		
	}

	require_once('settings/index.php');

	register_activation_hook( __FILE__, 'activatewpliverevealr');

	function activatewpliverevealr() {
		global $wpdb;
		$table_name = $wpdb->prefix . "wpliverevealr_leads";
		   
		   if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
		      
		      $sql = "CREATE TABLE " . $table_name . " (
			    id INTEGER(40) UNSIGNED AUTO_INCREMENT,
			   name varchar(500),
			   email varchar(500),
			   pageID varchar(500),
			   question varchar(500),
			   UNIQUE KEY id (id)
			 );";
		
		      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		      dbDelta($sql);
		   }


		  
	  }
	
	function wpliverevealr_addnewlead($name, $email, $pageID, $question) {
		global $wpdb;
 		$table_db_name = $wpdb->prefix . "wpliverevealr_leads";
 		$wpdb->insert( $table_db_name, 
        array( 
	     'name' => $name,
	     'email' => $email,
	     'question' => $question,
	     'pageID' => $pageID
	      )
		);
		
		
	}

	
?>