<?php

 add_action( 'init', 'createwpliverevealr' );
	function createwpliverevealr() {
		register_post_type( 'wpliverevealr',
			array(
				'labels' => array(
					'name' => __( 'LiveRevealr' ),
					'singular_name' => __( 'LiveRevealr' )
				),
			'public' => true,
			'has_archive' => true,
			'menu_icon' =>  plugins_url().'/LiveRevealr/images/favion.png',
			'rewrite' => true
			)
		);
		flush_rewrite_rules( );
	}

add_action( 'add_meta_boxes', 'settingsforwpliverevealr' );
function settingsforwpliverevealr()
{
	add_meta_box( 'wpliverevealr', 'Edit Your Revealr Page:', 'createnewwpliverevealr', 'wpliverevealr', 'normal', 'high' );
}


function createnewwpliverevealr( $post )
{
	$values = get_post_custom( $post->ID );
	$mainheadline = isset( $values['mainheadline'] ) ? esc_attr( $values['mainheadline'][0] ) : '';
	$subheadline = isset( $values['subheadline'] ) ? esc_attr( $values['subheadline'][0] ) : '';

	$seoTitle = isset( $values['seoTitle'] ) ? esc_attr( $values['seoTitle'][0] ) : '';
	$descriptionSEO = isset( $values['descriptionSEO'] ) ? esc_attr( $values['descriptionSEO'][0] ) : '';
	$footer = isset( $values['footer'] ) ? esc_attr( $values['footer'][0] ) : '';

	$phonenumber = isset( $values['phonenumber'] ) ? esc_attr( $values['phonenumber'][0] ) : '';
	$emailaddress = isset( $values['emailaddress'] ) ? esc_attr( $values['emailaddress'][0] ) : '';

	$mapButton = isset( $values['mapButton'] ) ? esc_attr( $values['mapButton'][0] ) : '';
	$mapLocation = isset( $values['mapLocation'] ) ? esc_attr( $values['mapLocation'][0] ) : '';

	$facebook = isset( $values['facebook'] ) ? esc_attr( $values['facebook'][0] ) : '';
	$twitter = isset( $values['twitter'] ) ? esc_attr( $values['twitter'][0] ) : '';
	$google = isset( $values['google'] ) ? esc_attr( $values['google'][0] ) : '';
	$linkedin = isset( $values['linkedin'] ) ? esc_attr( $values['linkedin'][0] ) : '';
	$socialHeadline = isset( $values['socialHeadline'] ) ? esc_attr( $values['socialHeadline'][0] ) : '';

	$logo = isset( $values['logo'] ) ? esc_attr( $values['logo'][0] ) : '';
	$beforeImage = isset( $values['beforeImage'] ) ? esc_attr( $values['beforeImage'][0] ) : '';
	$afterImage = isset( $values['afterImage'] ) ? esc_attr( $values['afterImage'][0] ) : '';

	$favicon = isset( $values['favicon'] ) ? esc_attr( $values['favicon'][0] ) : '';

	$background = isset( $values['background'] ) ? esc_attr( $values['background'][0] ) : '';
	$background2 = isset( $values['background2'] ) ? esc_attr( $values['background2'][0] ) : '';
	$background3 = isset( $values['background3'] ) ? esc_attr( $values['background3'][0] ) : '';

	$pattern1 = isset( $values['pattern1'] ) ? esc_attr( $values['pattern1'][0] ) : '';
	$pattern2 = isset( $values['pattern2'] ) ? esc_attr( $values['pattern2'][0] ) : '';

	$maincontent = isset( $values['maincontent'] ) ? esc_attr( $values['maincontent'][0] ) : '';

	$optincontent = isset( $values['optincontent'] ) ? esc_attr( $values['optincontent'][0] ) : '';
	$nameplaceholder = isset( $values['nameplaceholder'] ) ? esc_attr( $values['nameplaceholder'][0] ) : '';
	$emailplaceholder = isset( $values['emailplaceholder'] ) ? esc_attr( $values['emailplaceholder'][0] ) : '';
	$questionplaceholder = isset( $values['questionplaceholder'] ) ? esc_attr( $values['questionplaceholder'][0] ) : '';
	$signupbutton = isset( $values['signupbutton'] ) ? esc_attr( $values['signupbutton'][0] ) : '';

	$arcode = isset( $values['arcode'] ) ? esc_attr( $values['arcode'][0] ) : '';

	$redirect = isset( $values['redirect'] ) ? esc_attr( $values['redirect'][0] ) : '';

	$emailerror = isset( $values['emailerror'] ) ? esc_attr( $values['emailerror'][0] ) : '';

	$buttoncolor = isset( $values['buttoncolor'] ) ? esc_attr( $values['buttoncolor'][0] ) : '';
	

	
	wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
	include( plugin_dir_path( __FILE__ ) . 'style.php');
	include( plugin_dir_path( __FILE__ ) . 'options.php');
	
}


add_action( 'save_post', 'savewpliverevealr' );
function savewpliverevealr( $post_id )
{
	if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
	if( !isset( $_POST['meta_box_nonce'] ) || !wp_verify_nonce( $_POST['meta_box_nonce'], 'my_meta_box_nonce' ) ) return;
	if( !current_user_can( 'edit_post' ) ) return;
	$allowed = array( 
		'a' => array( 
			'href' => array() 
		)
	);
	
	if( isset( $_POST['mainheadline'] ) )
		update_post_meta( $post_id, 'mainheadline', wp_kses( $_POST['mainheadline'], $allowed ) );
		
	if( isset( $_POST['subheadline'] ) )
		update_post_meta( $post_id, 'subheadline', esc_attr( $_POST['subheadline'] ) );
		
	
	if( isset( $_POST['seoTitle'] ) )
		update_post_meta( $post_id, 'seoTitle', esc_attr( $_POST['seoTitle'] ) );
		
	if( isset( $_POST['descriptionSEO'] ) )
		update_post_meta( $post_id, 'descriptionSEO', esc_attr( $_POST['descriptionSEO'] ) );

	if( isset( $_POST['footer'] ) )
		update_post_meta( $post_id, 'footer', esc_attr(html_entity_decode( $_POST['footer']) ) );

	if( isset( $_POST['phonenumber'] ) )
		update_post_meta( $post_id, 'phonenumber', esc_attr(html_entity_decode( $_POST['phonenumber']) ) );
	if( isset( $_POST['emailaddress'] ) )
		update_post_meta( $post_id, 'emailaddress', esc_attr(html_entity_decode( $_POST['emailaddress']) ) );

	if( isset( $_POST['mapButton'] ) )
		update_post_meta( $post_id, 'mapButton', esc_attr(html_entity_decode( $_POST['mapButton']) ) );
	if( isset( $_POST['mapLocation'] ) )
		update_post_meta( $post_id, 'mapLocation', esc_attr(html_entity_decode( $_POST['mapLocation']) ) );

	if( isset( $_POST['facebook'] ) )
		update_post_meta( $post_id, 'facebook', esc_attr(html_entity_decode( $_POST['facebook']) ) );
	if( isset( $_POST['twitter'] ) )
		update_post_meta( $post_id, 'twitter', esc_attr(html_entity_decode( $_POST['twitter']) ) );
	if( isset( $_POST['google'] ) )
		update_post_meta( $post_id, 'google', esc_attr(html_entity_decode( $_POST['google']) ) );
	if( isset( $_POST['linkedin'] ) )
		update_post_meta( $post_id, 'linkedin', esc_attr(html_entity_decode( $_POST['linkedin']) ) );

	if( isset( $_POST['socialHeadline'] ) )
		update_post_meta( $post_id, 'socialHeadline', esc_attr(html_entity_decode( $_POST['socialHeadline']) ) );
	if( isset( $_POST['logo'] ) )
		update_post_meta( $post_id, 'logo', esc_attr(html_entity_decode( $_POST['logo']) ) );

	if( isset( $_POST['beforeImage'] ) )
		update_post_meta( $post_id, 'beforeImage', esc_attr(html_entity_decode( $_POST['beforeImage']) ) );
	if( isset( $_POST['afterImage'] ) )
		update_post_meta( $post_id, 'afterImage', esc_attr(html_entity_decode( $_POST['afterImage']) ) );

	if( isset( $_POST['favicon'] ) )
		update_post_meta( $post_id, 'favicon', esc_attr(html_entity_decode( $_POST['favicon']) ) );

	if( isset( $_POST['background'] ) )
		update_post_meta( $post_id, 'background', esc_attr(html_entity_decode( $_POST['background']) ) );
	if( isset( $_POST['background2'] ) )
		update_post_meta( $post_id, 'background2', esc_attr(html_entity_decode( $_POST['background2']) ) );
	if( isset( $_POST['background3'] ) )
		update_post_meta( $post_id, 'background3', esc_attr(html_entity_decode( $_POST['background3']) ) );

	if( isset( $_POST['pattern1'] ) )
		update_post_meta( $post_id, 'pattern1', esc_attr(html_entity_decode( $_POST['pattern1']) ) );
	if( isset( $_POST['pattern2'] ) )
		update_post_meta( $post_id, 'pattern2', esc_attr(html_entity_decode( $_POST['pattern2']) ) );

	if( isset( $_POST['maincontent'] ) )
		update_post_meta( $post_id, 'maincontent', esc_attr(html_entity_decode( $_POST['maincontent']) ) );

	if( isset( $_POST['optincontent'] ) )
		update_post_meta( $post_id, 'optincontent', esc_attr(html_entity_decode( $_POST['optincontent']) ) );
	if( isset( $_POST['nameplaceholder'] ) )
		update_post_meta( $post_id, 'nameplaceholder', esc_attr(html_entity_decode( $_POST['nameplaceholder']) ) );
	if( isset( $_POST['emailplaceholder'] ) )
		update_post_meta( $post_id, 'emailplaceholder', esc_attr(html_entity_decode( $_POST['emailplaceholder']) ) );
	if( isset( $_POST['questionplaceholder'] ) )
		update_post_meta( $post_id, 'questionplaceholder', esc_attr(html_entity_decode( $_POST['questionplaceholder']) ) );
	if( isset( $_POST['signupbutton'] ) )
		update_post_meta( $post_id, 'signupbutton', esc_attr(html_entity_decode( $_POST['signupbutton']) ) );

	if( isset( $_POST['arcode'] ) )
		update_post_meta( $post_id, 'arcode', esc_attr(html_entity_decode( $_POST['arcode']) ) );

	if( isset( $_POST['redirect'] ) )
		update_post_meta( $post_id, 'redirect', esc_attr(html_entity_decode( $_POST['redirect']) ) );

	if( isset( $_POST['emailerror'] ) )
		update_post_meta( $post_id, 'emailerror', esc_attr(html_entity_decode( $_POST['emailerror']) ) );


	if( isset( $_POST['buttoncolor'] ) )
		update_post_meta( $post_id, 'buttoncolor', esc_attr(html_entity_decode( $_POST['buttoncolor']) ) );
	
}

?>